diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/net/myri_sbus.c linux-2.5/drivers/net/myri_sbus.c
--- bk-linus/drivers/net/myri_sbus.c	2002-11-21 02:16:20.000000000 +0000
+++ linux-2.5/drivers/net/myri_sbus.c	2002-11-21 17:59:24.000000000 +0000
@@ -1069,9 +1069,6 @@ static int __init myri_ether_init(struct
 		goto err;
 	}
 
-	DET(("ether_setup()\n"));
-	ether_setup(dev);
-
 	dev->mtu		= MYRINET_MTU;
 	dev->change_mtu		= myri_change_mtu;
 	dev->hard_header	= myri_header;
@@ -1091,6 +1088,7 @@ static int __init myri_ether_init(struct
 #endif
 	return 0;
 err:	unregister_netdev(dev);
+	kfree(dev->priv);
 	kfree(dev);
 	return -ENODEV;
 }
@@ -1148,6 +1146,7 @@ static void __exit myri_sbus_cleanup(voi
 
 		unregister_netdev(root_myri_dev->dev);
 		kfree(root_myri_dev->dev);
+		kfree(root_myri_dev);
 		root_myri_dev = next;
 	}
 #endif /* MODULE */
